<div class="candidate-management__filter container">
  <div class="form-group">
    <label class="form-control-label" jhiTranslate="candidateManagement.filter.filterList">Filter list</label>
    <div>
      <ng-select [items]="filterList" bindLabel="name" bindValue="id" [(ngModel)]="filterListId"
        (ngModelChange)="onChangeFilterList($event)"
        placeholder="{{'candidateManagement.filter.filterList' | translate}}">
        <ng-template ng-option-tmp let-item="item" let-index="index" let-search="searchTerm">
          <div class="candidate-management__filter__list-item">
            <span>{{item.name}}</span>
            <button class="btn p-0" *ngIf="item.id !==0" (click)="openRemoveList(item.id, item.name)">
              <i class="bi bi-x"></i>
            </button>
          </div>
        </ng-template>
      </ng-select>
    </div>
  </div>
  <div class="candidate-management__filter__from form-group"
    *ngFor="let filterCondition of filterWithConditions;index as i  ">
    <label class="form-control-label">Show only records with:</label>
    <div class="filter-input-group">
      <ng-select [items]="fields" bindLabel="name" bindValue="id" [(ngModel)]="filterCondition.field"
        placeholder="{{'candidateManagement.filter.columns' | translate}}">
      </ng-select>
      <span>That</span>
      <ng-select [items]="conditions" bindLabel="name" bindValue="id" [(ngModel)]="filterCondition.condition">
      </ng-select>
      <input type="text" class="form-control" [(ngModel)]="filterCondition.value"
        [disabled]="!filterCondition.field ||!filterCondition.condition "
        placeholder="{{'candidateManagement.filter.enterText' | translate}}">
      <button class="delete-filter" (click)="removeFormFilter(i)" *ngIf="filterWithConditions.length > 1">
        <i class="bi bi-trash"></i>
      </button>
    </div>
    <div class="radio" *ngIf="i < filterWithConditions.length - 1">
      <label>
        <input type="radio" [name]="'operation' + i" [(ngModel)]="filterCondition.operators" value="AND"
          [defaultValue]="'AND'">
        <span>And</span>
      </label>
      <label>
        <input type="radio" [name]="'operation' + i" [(ngModel)]="filterCondition.operators" value="OR">
        <span>Or</span>
      </label>
    </div>
  </div>
  <button (click)="addFormFilter()" class="add-filter-btn" *ngIf="filterWithConditions.length < 5">
    <i class="bi bi-plus"></i>
    <span>Add filter</span>
  </button>
  <div class="form-group mt-3">
    <label class="form-control-label" jhiTranslate="candidateManagement.filter.search">Search</label>
    <div>
      <input type="text" class="form-control" placeholder="{{'candidateManagement.filter.search' | translate}}"
        [(ngModel)]="freeText">
    </div>
  </div>
  <div class="form-group mt-3">
    <label class="form-control-label" jhiTranslate="candidateManagement.filter.tag">Tag</label>
    <div>
      <ng-select placeholder="{{'candidateManagement.filter.search' | translate}}" [items]="tags" [closeOnSelect]="true"
        [searchable]="true" (search)="loadTags($event.term)" [multiple]="true" bindLabel="name" [clearable]="false"
        [(ngModel)]="tagsSelected">
        <ng-template ng-multi-label-tmp let-item="item"></ng-template>
      </ng-select>
    </div>
  </div>
  <div class="form-group mt-3 ">
    <div *ngFor="let tag of tagsSelected" class="candidate-management__filter__from__tags"
      [ngClass]="{'disabled': tag.disable}">
      <div>
        <p>
          {{tag.name}}</p>
      </div>
      <div>
        <button (click)="toggleTagFilter(tag.id)" class="btn p-0"
          type="button">
          <i class="bi" [ngClass]="{'bi-plus-circle-fill': tag.disable, 'bi-dash-circle': !tag.disable}"></i>
        </button>
        <button ngbTooltip="{{'entity.action.delete' | translate}}" class="btn p-0" type="button" (click)="deleteTagFilter(tag.id)">
          <i class="bi bi-x"></i>
        </button>
      </div>
    </div>
  </div>
  <div class="submit-btn-group">
    <button class="btn btn-light" (click)="onClearFilter()">Clear</button>
    <button class="btn btn-secondary" (click)="onSubmitFilter()">Filter</button>
  </div>
</div>